Pular para o conteúdo principal
curl -X GET https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123 \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <assinatura-dos-headers>"
import requests

# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123",
    headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123", {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "end2end": "NOXwd123",
  "component": "component.success",
  "state": "DONE",
  "status": { "en": "Completed", "pt": "Concluído" },
  "created_at": "2026-05-19T14:00:00Z",
  "updated_at": "2026-05-19T14:02:10Z"
}
{ "error": "Not Found" }

Parâmetros de caminho

ParâmetroDescrição
end2endIdentificador end2end do saque

Response 200 OK

Retorna o objeto de processo v2 padrão do saque. 404 — saque não encontrado ou não pertence a este correlation.
curl -X GET https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123 \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <assinatura-dos-headers>"
import requests

# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123",
    headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123", {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "end2end": "NOXwd123",
  "component": "component.success",
  "state": "DONE",
  "status": { "en": "Completed", "pt": "Concluído" },
  "created_at": "2026-05-19T14:00:00Z",
  "updated_at": "2026-05-19T14:02:10Z"
}
{ "error": "Not Found" }